TemplateCompilerSimulator.ITEM
Keywords: uk.ac.ic.doc.automed.templates.wrapper.TemplateCompilerSimulator.ITEM,TemplateCompilerSimulator.ITEM class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.templates.wrapper
Class TemplateCompilerSimulator.ITEM

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.templates.wrapper.TemplateCompilerSimulator.ITEM

Direct Known Subclasses:
  TemplateCompilerSimulator.LIST, TemplateCompilerSimulator.OBJECT, TemplateCompilerSimulator.STRING

Enclosing class:
  TemplateCompilerSimulator

public static class TemplateCompilerSimulator.ITEM
extends java.lang.Object

Field Summary
`protected boolean` | `hidden`
`protected TArgument` | `myArgument`
`protected TemplateCompilerSimulator` | `myCompiler`

Constructor Summary
`protected` | `TemplateCompilerSimulator.ITEM()`
`protected` | `TemplateCompilerSimulator.ITEM(TArgument arg)`

Method Summary
`TArgument` | `getArgument()`
`void` | `hide()`
`boolean` | `isHidden()`
`void` | `setArgument(TArgument ta)`
`void` | `setCompiler(TemplateCompilerSimulator comp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myArgument

    protected TArgument myArgument

### myCompiler

    protected TemplateCompilerSimulator myCompiler

### hidden

    protected boolean hidden

Constructor Detail

### TemplateCompilerSimulator.ITEM

    protected TemplateCompilerSimulator.ITEM(TArgument arg)

### TemplateCompilerSimulator.ITEM

    protected TemplateCompilerSimulator.ITEM()

Method Detail

### hide

    public void hide()

### isHidden

    public boolean isHidden()

### setCompiler

    public void setCompiler(TemplateCompilerSimulator comp)

### getArgument

    public TArgument getArgument()

### setArgument

    public void setArgument(TArgument ta)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD